Business Cases API (v10.0)
Download OpenAPI specification:Download
Get a single business case
Allows to retrieve a specific business case identified by its Id.
path Parameters
| businessCaseId required | string <uuid> Business case |
Responses
Response samples
- 200
- 404
- 422
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "referenceId": "string",
- "ownerId": "string",
- "prestationId": 0,
- "isClosed": true,
- "status": "string",
- "subStatus": "string",
- "title": "string",
- "processingTimeInHours": 0,
- "referenceKey": "string",
- "links": [
- {
- "text": "string",
- "url": "string",
- "isNewTab": true,
- "sortOrder": 0
}
], - "redirectUrl": "string",
- "actionMessage": "string",
- "actionButtonText": "string",
- "remindInDays": 0,
- "reminderDate": "2019-08-24T14:15:22Z",
- "remindedOn": "2019-08-24T14:15:22Z",
- "readStamp": "2019-08-24T14:15:22Z",
- "decisionUpdateStamp": "2019-08-24T14:15:22Z",
- "decisionCreationStamp": "2019-08-24T14:15:22Z",
- "creationStamp": "2019-08-24T14:15:22Z",
- "steps": [
- {
- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}
]
}Update a business case
Allows to update certain properties of an existing business case.
path Parameters
| businessCaseId required | string <uuid> Business Case |
Request Body schema: application/json
Updated properties
| prestationId | integer ID of the prestation linked to this case |
| isClosed | boolean Indicates whether the case is open or close |
| status | string Current status of the case |
| subStatus | string or null Current sub-status of the case |
| title | string or null Title of the case. Available slot : |
| processingTimeInHours | integer or null Approximative time in hours needed for this cases to be completed |
| referenceKey | string or null Key indicating to what business this case is related |
Array of objects or null (LinkForUpdateDto) List of links related to this case | |
| redirectUrl | string or null Link of the action button when an action from the user is awaited. Available slot : |
| actionMessage | string or null Message to display when an action from the user is awaited |
| actionButtonText | string or null Text of the action button to display when an action from the user is awaited |
| remindInDays | integer or null Number of days before sending a reminder after case closure when status is remindable. |
| hasBeenReminded | boolean Indicates if a reminder has been sent |
| readStamp | string or null <date-time> Date of when the case has been consulted by the user for the first time |
| decisionUpdateStamp | string or null <date-time> Date of the last update (business-sided) for this case (same as DecisionCreationStamp at creation) |
Responses
Request samples
- Payload
{- "prestationId": 0,
- "isClosed": true,
- "status": "string",
- "subStatus": "string",
- "title": "string",
- "processingTimeInHours": 0,
- "referenceKey": "string",
- "links": [
- {
- "text": "string",
- "url": "string",
- "isNewTab": true,
- "sortOrder": 0
}
], - "redirectUrl": "string",
- "actionMessage": "string",
- "actionButtonText": "string",
- "remindInDays": 0,
- "hasBeenReminded": true,
- "readStamp": "2019-08-24T14:15:22Z",
- "decisionUpdateStamp": "2019-08-24T14:15:22Z"
}Response samples
- 200
- 400
- 404
- 422
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "referenceId": "string",
- "ownerId": "string",
- "prestationId": 0,
- "isClosed": true,
- "status": "string",
- "subStatus": "string",
- "title": "string",
- "processingTimeInHours": 0,
- "referenceKey": "string",
- "links": [
- {
- "text": "string",
- "url": "string",
- "isNewTab": true,
- "sortOrder": 0
}
], - "redirectUrl": "string",
- "actionMessage": "string",
- "actionButtonText": "string",
- "remindInDays": 0,
- "reminderDate": "2019-08-24T14:15:22Z",
- "remindedOn": "2019-08-24T14:15:22Z",
- "readStamp": "2019-08-24T14:15:22Z",
- "decisionUpdateStamp": "2019-08-24T14:15:22Z",
- "decisionCreationStamp": "2019-08-24T14:15:22Z",
- "creationStamp": "2019-08-24T14:15:22Z",
- "steps": [
- {
- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}
]
}Delete a business case
Allows to delete an existing business case (and its activities).
path Parameters
| businessCaseId required | string <uuid> Business case |
Responses
Response samples
- 404
- 422
{- "type": "string",
- "title": "string",
- "status": 0,
- "detail": "string",
- "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa",
- "property1": null,
- "property2": null
}Get a list of business cases
Allows to retrieve a list of business cases (GET only) according to certain criteria.
query Parameters
| OwnerId | string Filters cases by |
| PrestationIds | Array of integers <int32> [ items <int32 > ] Filters cases by |
| OwnerIds | Array of integers <int32> [ items <int32 > ] Filters cases by |
| SetOfServiceIds | Array of integers[ items <int32 >[ items <int32 > ] ] Filters cases by Each set of Service Ids is related to an OwnerId in the parameter |
| IsClosed | boolean Filters cases by |
| Status | string Filters cases by |
| SubStatus | string Filters cases by |
| MinDecisionUpdateStamp | string <date-time> Cases with an earlier or equal |
| MaxDecisionUpdateStamp | string <date-time> Cases with a later or equal |
| MinDecisionCreationStamp | string <date-time> Cases with an earlier or equal |
| MaxDecisionCreationStamp | string <date-time> Cases with a later or equal |
| OpenCasesOrClosedSinceNDays | integer <int32> Cases that are open OR cases that have been closed since N days |
| IsVisibleOnDashboard | boolean Filters cases by |
| IsVisibleOnDetailedListing | boolean Filters cases by |
| HasToBeReminded | boolean Cases for which the |
| Expand | Array of strings (BusinessCasesExpand) Items Value: "Steps" Indicates which child objects will be expanded in the reponse |
| PageNumber | integer <int32> Page number |
| PageSize | integer <int32> Number of items per page. Using value |
| OrderBy | string Sorting option. Usage (no square brackets !) : |
Responses
Response samples
- 200
- 422
[- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "referenceId": "string",
- "ownerId": "string",
- "prestationId": 0,
- "isClosed": true,
- "status": "string",
- "subStatus": "string",
- "title": "string",
- "processingTimeInHours": 0,
- "referenceKey": "string",
- "links": [
- {
- "text": "string",
- "url": "string",
- "isNewTab": true,
- "sortOrder": 0
}
], - "redirectUrl": "string",
- "actionMessage": "string",
- "actionButtonText": "string",
- "remindInDays": 0,
- "reminderDate": "2019-08-24T14:15:22Z",
- "remindedOn": "2019-08-24T14:15:22Z",
- "readStamp": "2019-08-24T14:15:22Z",
- "decisionUpdateStamp": "2019-08-24T14:15:22Z",
- "decisionCreationStamp": "2019-08-24T14:15:22Z",
- "creationStamp": "2019-08-24T14:15:22Z",
- "steps": [
- {
- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}
]
}
]Get a list of business cases
Allows to retrieve a list of business cases (GET only) according to certain criteria.
query Parameters
| OwnerId | string Filters cases by |
| PrestationIds | Array of integers <int32> [ items <int32 > ] Filters cases by |
| OwnerIds | Array of integers <int32> [ items <int32 > ] Filters cases by |
| SetOfServiceIds | Array of integers[ items <int32 >[ items <int32 > ] ] Filters cases by Each set of Service Ids is related to an OwnerId in the parameter |
| IsClosed | boolean Filters cases by |
| Status | string Filters cases by |
| SubStatus | string Filters cases by |
| MinDecisionUpdateStamp | string <date-time> Cases with an earlier or equal |
| MaxDecisionUpdateStamp | string <date-time> Cases with a later or equal |
| MinDecisionCreationStamp | string <date-time> Cases with an earlier or equal |
| MaxDecisionCreationStamp | string <date-time> Cases with a later or equal |
| OpenCasesOrClosedSinceNDays | integer <int32> Cases that are open OR cases that have been closed since N days |
| IsVisibleOnDashboard | boolean Filters cases by |
| IsVisibleOnDetailedListing | boolean Filters cases by |
| HasToBeReminded | boolean Cases for which the |
| Expand | Array of strings (BusinessCasesExpand) Items Value: "Steps" Indicates which child objects will be expanded in the reponse |
| PageNumber | integer <int32> Page number |
| PageSize | integer <int32> Number of items per page. Using value |
| OrderBy | string Sorting option. Usage (no square brackets !) : |
Responses
Response samples
- 200
- 422
[- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "referenceId": "string",
- "ownerId": "string",
- "prestationId": 0,
- "isClosed": true,
- "status": "string",
- "subStatus": "string",
- "title": "string",
- "processingTimeInHours": 0,
- "referenceKey": "string",
- "links": [
- {
- "text": "string",
- "url": "string",
- "isNewTab": true,
- "sortOrder": 0
}
], - "redirectUrl": "string",
- "actionMessage": "string",
- "actionButtonText": "string",
- "remindInDays": 0,
- "reminderDate": "2019-08-24T14:15:22Z",
- "remindedOn": "2019-08-24T14:15:22Z",
- "readStamp": "2019-08-24T14:15:22Z",
- "decisionUpdateStamp": "2019-08-24T14:15:22Z",
- "decisionCreationStamp": "2019-08-24T14:15:22Z",
- "creationStamp": "2019-08-24T14:15:22Z",
- "steps": [
- {
- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}
]
}
]Create a new business case
Allows to create a new business case.
Request Body schema: application/json
Business case to create
| ownerId required | string [ 1 .. 50 ] characters Owner's Profile ID (from ePortal) |
| prestationId required | integer <int32> [ 1 .. 2147483647 ] ID of the prestation linked to this case |
| status | string or null <= 40 characters Current status of the case |
| subStatus | string or null <= 40 characters Current sub-status of the case |
| title | string or null <= 255 characters Title of the case. Available slot : |
| processingTimeInHours | integer or null <int32> [ 1 .. 2147483647 ] Approximative time in hours needed for this cases to be completed |
| referenceKey | string or null Key indicating to what business this case is related |
Array of objects (LinkForCreationDto) List of links related to this case | |
| redirectUrl | string or null Link of the action button when an action from the user is awaited. Available slot : |
| actionMessage | string or null <= 2000 characters Message to display when an action from the user is awaited |
| actionButtonText | string or null <= 255 characters Text of the action button to display when an action from the user is awaited |
| remindInDays | integer or null <int32> > 0 Number of days before sending a reminder after case closure when status is remindable. |
| decisionCreationStamp | string or null <date-time> Date of the creation (business-sided) for this case |
Responses
Request samples
- Payload
{- "ownerId": "string",
- "prestationId": 1,
- "status": "string",
- "subStatus": "string",
- "title": "string",
- "processingTimeInHours": 1,
- "referenceKey": "string",
- "links": [
- {
- "text": "string",
- "url": "string",
- "isNewTab": true,
- "sortOrder": 0
}
], - "redirectUrl": "string",
- "actionMessage": "string",
- "actionButtonText": "string",
- "remindInDays": 0,
- "decisionCreationStamp": "2019-08-24T14:15:22Z"
}Response samples
- 201
- 400
- 422
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "referenceId": "string",
- "ownerId": "string",
- "prestationId": 0,
- "isClosed": true,
- "status": "string",
- "subStatus": "string",
- "title": "string",
- "processingTimeInHours": 0,
- "referenceKey": "string",
- "links": [
- {
- "text": "string",
- "url": "string",
- "isNewTab": true,
- "sortOrder": 0
}
], - "redirectUrl": "string",
- "actionMessage": "string",
- "actionButtonText": "string",
- "remindInDays": 0,
- "reminderDate": "2019-08-24T14:15:22Z",
- "remindedOn": "2019-08-24T14:15:22Z",
- "readStamp": "2019-08-24T14:15:22Z",
- "decisionUpdateStamp": "2019-08-24T14:15:22Z",
- "decisionCreationStamp": "2019-08-24T14:15:22Z",
- "creationStamp": "2019-08-24T14:15:22Z",
- "steps": [
- {
- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}
]
}Delete business cases by criteria
Allows to delete existing business cases by criteria (and all their activities).
query Parameters
| OwnerId required | string non-empty Profile Id from ePortal |
Responses
Response samples
- 422
{- "type": "string",
- "title": "string",
- "status": 0,
- "detail": "string",
- "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa",
- "property1": null,
- "property2": null
}Get a step by its name within a business case
Allows to retrieve a step by its name and related to the specified business case.
path Parameters
| businessCaseId required | string <uuid> Business case |
| stepName required | string Step |
Responses
Response samples
- 200
- 404
- 422
{- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}Create/update a step for a business case
Allows to create/update a step for the specified business case.
path Parameters
| businessCaseId required | string <uuid> Business case |
| stepName required | string Step |
Request Body schema: application/json
Step to create/update
| displayName required | string [ 1 .. 255 ] characters Name that will be used for display purpose (translation term) |
| description | string or null <= 255 characters Quick description (not shown to citizen) |
| text | string or null <= 4000 characters Translation term containing the text |
| redirectUrl | string or null <= 2000 characters Redirect URL related to the step |
| iconPath | string or null <= 2000 characters Relative system file path to an icon |
| processingTimeInHours | integer or null <int32> [ 1 .. 2147483647 ] Estimated time in hours the step will take to be completed |
Array of objects or null (DocumentForUpsertDto) List of documents related to this step | |
| sortOrder | integer <int32> Value on which the steps will be sorted (asc.) in the navigation panel |
| createdBy required | string [ 1 .. 100 ] characters Requester of the creation (or update) |
Responses
Request samples
- Payload
{- "displayName": "string",
- "description": "string",
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 1,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string"
}Response samples
- 200
- 201
- 400
- 422
{- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}Update a step of a business case
Allows to update certain properties of an existing step.
path Parameters
| businessCaseId required | string <uuid> Business case |
| stepName required | string Step |
Request Body schema: application/json
Step to create
| text | string or null Translation term containing the text |
| redirectUrl | string or null Redirect URL related to the step |
Array of objects or null (DocumentForUpsertDto) List of documents related to this step (full replacement) | |
| updatedBy required | string [ 1 .. 100 ] characters Requester of the update |
Responses
Request samples
- Payload
{- "text": "string",
- "redirectUrl": "string",
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "updatedBy": "string"
}Response samples
- 200
- 400
- 404
- 422
{- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}Delete a step of a business case
Allows to delete an existing step of a business case.
path Parameters
| businessCaseId required | string <uuid> Business case |
| stepName required | string Step |
Responses
Response samples
- 404
- 422
{- "type": "string",
- "title": "string",
- "status": 0,
- "detail": "string",
- "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa",
- "property1": null,
- "property2": null
}Get the list of steps of a business case
Allows to retrieve the list of steps of a business case according to certain criteria.
path Parameters
| businessCaseId required | string <uuid> Business case |
query Parameters
| PageNumber | integer <int32> Page number |
| PageSize | integer <int32> Number of items per page. Using value |
| OrderBy | string Sorting option. Usage (no square brackets !) : |
Responses
Response samples
- 200
- 422
[- {
- "businessCaseId": "fad1f347-b9ed-4ee1-a340-bb8bf74c95bf",
- "name": "string",
- "displayName": "string",
- "description": "string",
- "isClosed": true,
- "text": "string",
- "redirectUrl": "string",
- "iconPath": "string",
- "processingTimeInHours": 0,
- "documents": [
- {
- "uniqueId": "string",
- "name": "string",
- "filename": "string"
}
], - "sortOrder": 0,
- "createdBy": "string",
- "createStamp": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updateStamp": "2019-08-24T14:15:22Z"
}
]Get the list of available statuses
Allows to retrieve the list of all statuses (and sub-statuses) configured in the application settings.
Responses
Response samples
- 200
- 422
[- {
- "name": "string",
- "color": "string",
- "defaultInitialState": true,
- "defaultFinalState": true,
- "finalState": true,
- "subStatuses": [
- {
- "name": "string"
}
], - "visibleOnDashboard": true,
- "visibleOnDetailedListing": true,
- "remindable": true
}
]